
Redmine - Defect #20621

Internal Server Error when creating/copying issues

2015-08-26 15:41 - Jurgen Reniers

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.1.0

Description

I have upgraded from Redmine 2.5.2 to 3.1.0 and I'm currently running into an Internal Server Error when creating/copying issues.

The log/production.log shows:

NameError (undefined method `_run_save_callbacks' for class `Issue'):

  app/models/issue.rb:175:in `create_or_update'

  app/controllers/issues_controller.rb:141:in `create'

  lib/redmine/sudo_mode.rb:63:in `sudo_mode'

 Configuration Info

Environment:

  Redmine version                3.1.0.stable

  Ruby version                   1.9.3-p392 (2013-02-22) [i686-linux]

  Rails version                  4.2.3

  Environment                    production

  Database adapter               PostgreSQL

SCM:

  Subversion                     1.6.17

  Cvs                            1.12.13

  Git                            1.7.10.4

  Filesystem                     

Redmine plugins:

  redmine_agile                  1.3.10

  redmine_better_gantt_chart     0.9.0

  redmine_checklists             3.1.1

  redmine_github_hook            2.2.0

  redmine_gitlab_hook            0.1.3

  redmine_issue_templates        0.1.0

  redmine_mylyn_connector        2.8.2.stable

  redmine_spent_time             3.0.2

  redmine_stealth                0.6.0

  redmine_testlinklink           1.0.0

  redmine_wiki_extensions        0.7.0

  redmine_wiki_lists             0.0.6

History

#1 - 2015-09-09 02:33 - Toshi MARUYAMA

- Status changed from New to Needs feedback

- Priority changed from High to Normal

I cannot reproduce on vanilla Remine.

Try without some plugins.

#2 - 2015-09-09 09:10 - Jurgen Reniers

Hello Toshi,

This seems fixed between between b382f1369 and 672f0e419 which upgrades Rails 4.2.3 to 4.2.4.

Thank you,
Jurgen

#3 - 2015-09-09 09:45 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Thank you for your feedback.
